// Replication_Strategy.cpp,v 1.3 2003/10/17 07:38:25 jwillemsen Exp

#include "Replication_Strategy.h"
#include "FTEC_Event_Channel.h"

ACE_RCSID (EventChannel,
           Replication_Strategy,
           "Replication_Strategy.cpp,v 1.3 2003/10/17 07:38:25 jwillemsen Exp")


Replication_Strategy::Replication_Strategy()
{
}


Replication_Strategy::~Replication_Strategy()
{
}


void
Replication_Strategy::check_validity(ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
{
}


Replication_Strategy*
Replication_Strategy::make_primary_strategy()
{
  return this;
}
